%global srcname jupyter_core
%if 0%{?fedora}
%global with_python3 1
%endif

Name:           python-%{srcname}
Version:        4.0.2
Release:        1%{?dist}
Summary:        Core Jupyter functionality

License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://github.com/jupyter/%{srcname}/archive/%{version}.tar.gz#/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
# For tests
BuildRequires:  pytest
BuildRequires:  python-ipython-console
BuildRequires:  python-mock
BuildRequires:  python-traitlets
Requires:       python-traitlets
Provides:       python2-%{srcname} = %{version}-%{release}

%description
Core common functionality of Jupyter projects.

This package contains base application classes and configuration inherited
by other projects. It doesn't do much on its own.


%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary:        Core Jupyter functionality
BuildRequires:  python3-devel
# For tests
BuildRequires:  python3-pytest
BuildRequires:  python3-ipython-console
BuildRequires:  python3-mock
BuildRequires:  python3-traitlets
Requires:       python3-traitlets

%description -n python3-%{srcname}
Core common functionality of Jupyter projects.

This package contains base application classes and configuration inherited
by other projects. It doesn't do much on its own.
%endif


%prep
%setup -q -n %{srcname}-%{version}


%build
%{__python2} setup.py build
%if 0%{?with_python3}
%{__python3} setup.py build
%endif


%install
%if 0%{?with_python3}
%{__python3} setup.py install --skip-build --root %{buildroot}
%endif
%{__python2} setup.py install --skip-build --root %{buildroot}


%check
py.test-%{python2_version} -v %{srcname}
%if 0%{?with_python3}
py.test-%{python3_version} -v %{srcname}
%endif

 
%files
%doc README.md
%license COPYING.md
%if !0%{?with_python3}
%{_bindir}/jupyter
%{_bindir}/jupyter-migrate
%endif
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-%{srcname}
%doc README.md
%license COPYING.md
%{_bindir}/jupyter
%{_bindir}/jupyter-migrate
%{python3_sitelib}/*
%endif


%changelog
* Mon Jul 20 2015 Orion Poplawski <orion@cora.nwra.com> - 4.0.2-1
- Update to 4.0.2

* Wed Jul 15 2015 Orion Poplawski <orion@cora.nwra.com> - 4.0.1-3
- Add python2 provides

* Tue Jul 14 2015 Orion Poplawski <orion@cora.nwra.com> - 4.0.1-2
- Fix tests

* Mon Jul 13 2015 Orion Poplawski <orion@cora.nwra.com> - 4.0.1-1
- Initial package
